"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchSortModifierPlugin = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
var _plugins = require("@webiny/plugins");
class ElasticsearchSortModifierPlugin extends _plugins.Plugin {
  constructor(callable) {
    super();
    this.callable = callable;
  }
  modifySort(params) {
    if (typeof this.callable !== "function") {
      throw new _error.default(`Missing modification for the sort.`, "SORT_MODIFICATION_MISSING", {
        params
      });
    }
    this.callable(params);
  }
}
exports.ElasticsearchSortModifierPlugin = ElasticsearchSortModifierPlugin;

//# sourceMappingURL=ElasticsearchSortModifierPlugin.js.map